dpkg-split(1)

NOME
dpkg-split - strumento per suddividere/unire archivi di pacchetto Debian

SINTASSI
dpkg-split [opzione...] comando

DESCRIZIONE
dpkg-split suddivide i file dei pacchetti binari Debian in parti più piccole e li riassembla, per permettere l'archiviazione di grandi file di pacchetto su supporti piccoli, come floppy disk. Può essere utilizzato manualmente usando le opzioni --split, --join e --info. Ha anche una modalità automatica, invocata usando l'opzione --auto, con la quale mantiene una coda di parti viste ma non ancora riassemblate, e riassembla un file di pacchetto quando ha visto tutte le sue parti. Le opzioni --listq e --discard permettono la gestione della coda. Tutte le azioni di suddivisione, unione e gestione della coda producono messaggi informativi sullo standard output che possono essere ignorati senza problemi.

COMANDI

-s, --split archivio-completo [prefisso]
    Suddivide un singolo pacchetto binario Debian in più parti. Le parti vengono chiamate prefisso.NofM.deb dove N è il numero della parte, cominciando da 1, e M è il numero totale delle parti (entrambi in forma decimale). Se non viene specificato un prefisso, allora viene usato il nome file archivio-completo, inclusa la directory, rimuovendo qualsiasi parte .deb finale.

-j, --join parte...
    Unisce insieme le parti di un pacchetto, riassemblando il file originale così come era prima che fosse suddiviso. I file delle parti specificati come argomenti devono rappresentare tutte le parti dello stesso identico file binario originale. Ogni parte deve essere presente una ed una sola volta nell'elenco degli argomenti, anche se non è necessario che le parti siano elencate in ordine. Naturalmente, le parti devono essere state tutte generate specificando, al momento della suddivisione, la medesima dimensione delle parti, il che solitamente significa che devono essere state generate con la medesima invocazione di dpkg-split --split. I nomi dei file delle parti non sono significativi per il processo di riassemblaggio. In modo predefinito il file di output si chiama pacchetto_versione_arch.deb.

-I, --info parte...
    Stampa informazioni, in un formato intelligibile, riguardo ai file delle parti specificati. Gli argomenti che non sono parti di un pacchetto binario producono invece un messaggio che informa della cosa (ma sempre sullo standard output).

-a, --auto -o output-completo parte
    Accoda automaticamente le parti e riassembla un pacchetto se ciò è possibile. La parte specificata viene esaminata e confrontata con altre parti dello stesso pacchetto (se presenti) nella coda delle parti dei file pacchetto. Se sono disponibili tutte le parti del file pacchetto a cui appartiene parte, allora il pacchetto viene riassemblato e scritto in output-completo (che normalmente non dovrebbe essere già esistente, benché ciò non causi un errore). Altrimenti, la parte viene copiata nella coda e non viene creato output-completo. Se parte non è una parte di un pacchetto binario suddiviso, allora dpkg-split terminerà con lo stato 1; se si verifica qualche altro problema allora terminerà con lo stato 2. Quando si usa --auto deve essere specificata l'opzione --output o -o. (Se ciò non fosse obbligatorio il programma che sta invocando l'azione non saprebbe quale file di output attendersi.)

-l, --listq
    Elenca il contenuto della coda dei pacchetti da riassemblare. Per ogni file di pacchetto per il quale esistono parti nella coda, l'output fornisce il nome del pacchetto, le parti nella coda e il numero totale di byte archiviati nella coda.

-d, --discard [pacchetto...]
    Questo scarta parti dalla coda di quelle in attesa delle parti restanti del proprio pacchetto. Se non viene specificato alcun pacchetto, allora la coda viene svuotata completamente; se ne è specificato qualcuno, allora vengono eliminate solo le parti dei pacchetti indicati.

-?, --help
    Mostra il messaggio sull'uso ed esce.

--version
    Mostra la versione ed esce.

OPZIONI

--depotdir directory
    Specifica una directory alternativa per la coda delle parti in attesa di essere automaticamente riassemblate. Il valore predefinito è /var/lib/dpkg.

-S, --partsize kibibyte
    Specifica la dimensione massima, in kibibyte (1024 byte), delle parti quando viene fatta la suddivisione. Il valore predefinito è 450 KiB.

-o, --output output-completo
    Specifica il nome del file di output per il riassemblamento. Questo valore scavalca quello predefinito per il riassemblaggio manuale (--join) ed è obbligatorio per la messa in coda o il riassemblaggio automatici (--auto).

-Q, --npquiet
    Quando vengono fatti una messa in coda o un riassemblaggio automatici, dpkg-split stampa solitamente un messaggio se gli viene passata una parte che non è una parte di un pacchetto binario. Questa opzione disabilita tali messaggi per permettere a programmi come dpkg di gestire sia pacchetti suddivisi sia non suddivisi, senza produrre messaggi spuri.

--msdos
    Forza la compatibilità con MSDOS dei nomi file in output generati da --split. Questo storpia il prefisso, o quello predefinito derivato dal nome file di input o quello fornito come argomento: i caratteri alfanumerici vengono resi minuscoli, i caratteri «+» vengono sostituiti da x e tutti gli altri caratteri vengono eliminati. Il risultato viene quindi troncato alla lunghezza necessaria e vengono generati nomi di file nella forma prefissoNofM.deb.

STATO D'USCITA

0   La suddivisione, unione o altra azione richiesta ha avuto successo. I comandi --info vengono considerati conclusi con successo anche se i file non sono parti di un pacchetto binario.

1   Si verifica solo con --auto e indica che il file parte non era una parte di un pacchetto binario.

2   Si è verificato un qualche problema, come una chiamata di sistema fallita o un file che sembrava una parte di pacchetto ma che era corrotto, un errore nell'uso o qualche altro problema.

FILE

/var/lib/dpkg/parts
    La directory predefinita per la coda dei file delle parti in attesa di essere automaticamente riassemblate. I nomi dei file usati in questa directory sono nel formato interno di dpkg-split ed è improbabile che siano utili per altri programmi; in ogni caso non si dovrebbe fare affidamento sul formato del nome file.

BUG
I dettagli completi sui pacchetti nella coda sono impossibili da ottenere a meno che l'utente non guardi da solo nella directory della coda. Non esiste un modo semplice per testare se un file che potrebbe essere una parte di un pacchetto binario lo è realmente.

VEDERE ANCHE
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).